- name: Run consul server
  hosts: consul_servers
  become: yes
  tasks:
    - name: debug
      debug:
        msg: "{{ advertise_ip }}"
    - name: Run Consul server
      community.docker.docker_container:
        name: consul-server
        recreate: yes
        image: consul:latest
        network_mode: host
        container_default_behavior: no_defaults
        command: "agent -server -ui -node=server-1 -bootstrap-expect=1 -client=0.0.0.0 -advertise={{ hostvars.server1.ansible_host }}"
